Rensei docs

Resolve the authenticated org context for a CLI key or user token.

Resolve the authenticated org context for a CLI key or user token. - Rensei REST API operation reference.

GET
/api/cli/whoami

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Response Body

Authenticated identity, org, projects, and scopes.

application/json
  1. response
user*|null
org*
projects*array<>
scopes*array<string>
Example Request
curl -X GET 'https://app.rensei.ai/api/cli/whoami'
Example Response
{  "user": {    "id": "string",    "email": "string",    "firstName": "string",    "lastName": "string",    "profilePictureUrl": "string"  },  "org": {    "id": "string",    "name": "string",    "slug": "string",    "plan": "string"  },  "projects": [    {      "property1": null,      "property2": null    }  ],  "scopes": [    "string"  ]}